# Domaのサンプルコード

「DomaでミスなくDBアクセス ──アノテーションを活かした手厚いコンパイル時チェック」のサンプルコードです。

データベースはH2Databaseをインメモリモードで使用しています。

## 動かし方

次のコマンドを実行してください。

```
./gradlew run
```

Windowsの場合は次のコマンドを実行してください。

```
gradlew.bat run
```

## Eclipseへのインポート

次のコマンドを実行してからインポートしてください。

```
./gradlew eclipse
```

Windowsの場合は次のコマンドになります。

```
gradlew.bat eclipse
```

## サンプルコードのファイル構成

```
LICENSE                            このサンプルコードのライセンスです
README.md                          このファイルです
build.gradle                       Gradleのビルドスクリプトです
eclipse.gradle                     GradleでEclipseインポートに必要なファイルを作成するための設定ファイルです
gradle                             Gradleが使用するファイルが格納されています
gradlew                            Gradleの起動スクリプトです
gradlew.bat                        Gradleの起動スクリプトです(Windows用)
settings.gradle                    Gradleが使用するプロジェクトの設定ファイルです
src
└── main
    ├── java
    │   └── sample
    │       ├── SampleMain.java    メインクラスです
    │       ├── config             設定クラスが格納されています
    │       ├── dao                DAOインターフェースが格納されています
    │       ├── domain             ドメインクラスが格納されています
    │       └── entity             エンティティが格納されています
    └── resources                  SQLファイルが格納されています


```

## ライセンス

このサンプルコード一式は[The MIT License](https://opensource.org/licenses/MIT)のもとに提供します。

## 作者

のざき、うらがみ
