package sample.config;

import javax.sql.DataSource;

import org.seasar.doma.jdbc.Config;
import org.seasar.doma.jdbc.SimpleDataSource;
import org.seasar.doma.jdbc.dialect.Dialect;
import org.seasar.doma.jdbc.dialect.H2Dialect;

public class MyConfig implements Config {

    private static final SimpleDataSource dataSource;
    private static final H2Dialect dialect;

    static {
        dataSource = new SimpleDataSource();
        dataSource.setUrl("jdbc:h2:mem:sample;DB_CLOSE_DELAY=-1");
        dataSource.setUser("sa");
        dataSource.setPassword("mypassword");
        dialect = new H2Dialect();
    }

    @Override
    public DataSource getDataSource() {
        return dataSource;
    }

    @Override
    public Dialect getDialect() {
        return dialect;
    }
}
