package sample.dao;

import java.util.Optional;

import org.seasar.doma.Dao;
import org.seasar.doma.Insert;
import org.seasar.doma.Select;

import sample.config.MyConfig;
import sample.domain.Address;
import sample.domain.PhoneNumber;
import sample.entity.Company;

/**
 * Companyテーブルのデータを操作をするDAOです。
 *
 */
@Dao(config = MyConfig.class)
public interface CompanyDao {

    /**
     * 住所で検索してヒットしたレコードの電話番号を返します。
     * 
     * @param address 住所
     * @return 電話番号
     */
    @Select
    Optional<PhoneNumber> selectPhoneNumberByAddress(Address address);

    /**
     * CompanryをINSERTします。
     * 
     * @param entity INSERTするデータ
     * @return INSERTされた件数
     */
    @Insert
    int insert(Company entity);
}